#include "level.h"

Level::Level()
{
    points = 0;
    levelnum = 1; 
    Reset(1);
}

Level::~Level()
{
}

void Level::Move() {};
void Level::SetLevel(int level) { levelnum = level; }

void Level::Reset(int newstage)
{
    stage = newstage;
}

void Level::ResetPos()
{

}

const Level &Level::operator=(const Level &src)
{
    if(this != &src)
    {
	EnemyGroup::operator=(src);
	levelnum = src.levelnum;
	points = src.points;
    }

    return *this;
}

void Level::SetPoints(int newpoints)  { points = newpoints; }
int Level::Points()    { return points; }